Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

0.3.3 release (pinned to rack ~> 0.4.0)

  • Loading branch information...
commit 4aefc7d024837e4a947fa978d621b4f019aeda1d 1 parent d25e020
@rtomayko rtomayko authored
View
4 ChangeLog
@@ -1,4 +1,6 @@
-= 0.3.3 (Unreleased)
+= 0.3.3 / 2009-01-06
+
+ * Pin to Rack 0.4.0 (this is the last release on Rack 0.4)
* Log unhandled exception backtraces to rack.errors.
View
2  lib/sinatra.rb
@@ -59,7 +59,7 @@ module Utils
module Sinatra
extend self
- VERSION = '0.3.2'
+ VERSION = '0.3.3'
class NotFound < RuntimeError
def self.code ; 404 ; end
View
4 sinatra.gemspec
@@ -3,7 +3,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.name = 'sinatra'
- s.version = '0.3.2'
+ s.version = '0.3.3'
s.date = "2008-11-02"
s.description = "Classy web-development dressed in a DSL"
@@ -66,7 +66,7 @@ Gem::Specification.new do |s|
s.test_files = s.files.select {|path| path =~ /^test\/.*_test.rb/}
s.extra_rdoc_files = %w[README.rdoc LICENSE]
- s.add_dependency 'rack', '>= 0.4.0'
+ s.add_dependency 'rack', '~> 0.4.0'
s.has_rdoc = true
s.homepage = "http://sinatra.rubyforge.org"
View
2  test/helper.rb
@@ -1,6 +1,8 @@
require 'rubygems'
require 'mocha'
+gem 'rack', '~> 0.4.0'
+
$:.unshift File.dirname(File.dirname(__FILE__)) + "/lib"
require 'sinatra'
Please sign in to comment.
Something went wrong with that request. Please try again.